Bug 831596 - Ticket Monster: If invalid number of tickets is provided, the input field simply disappears, no error message occurs
Ticket Monster: If invalid number of tickets is provided, the input field sim...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TicketMonster (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
low Severity medium
: CR1
: 2.1.0
Assigned To: Marius Bogoevici
Karel Piwko
ticket-monster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 07:57 EDT by Tomas Repel
Modified: 2013-02-01 10:12 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when creating a booking in Ticket Monster, the ticket number field needed a valid value input or the input field would disappear. Web Framework Kit 2.1 fixes this issue and the field no longer disappears, displaying an error message when an invalid value is entered.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:35:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JDF-121 Minor Resolved If invalid number of tickets is provided, the input field simply disappears, no error message occurs 2013-06-14 12:18:20 EDT

  None (edit)
Description Tomas Repel 2012-06-13 07:57:29 EDT
Description of problem:

When creating a booking, you have to insert a number of tickets. If you don't provide the valid value, the input field disappears. No error message is show to the user.

Version-Release number of selected component (if applicable):

WFK2 ER8
EAP6 CR1
both FF 10.0.3 and Google Chrome 17.0

How reproducible:

Always.

Steps to Reproduce:
1. package and deploy Ticket Monster example
2. select an event and venue, click on 'Order Tickets' button
3. choose a section, the input(s) for inserting number of tickets appears
4. provide invalid value (arbitrary letter for instance)
5. click on 'Add tickets' button
  
Actual results:

The input(s) for number of tickets disappears, the section selector is cleared.

Expected results:

Some error message should be shown to the user, the previously selected section should remain selected.
Comment 2 Marius Bogoevici 2012-07-23 17:42:38 EDT
Modified and fixed
Comment 3 rfalhar 2012-08-21 04:16:40 EDT
Did this fix also fixed case, when non-numeric value was entered and text field didn't turn red? Eg. value was not taken as invalid?
Comment 4 Vaclav Dedik 2012-10-11 07:53:47 EDT
When you type in the input an invalid value, an error message is shown to the user. However, if the user clicks on the 'Add ticket' button anyway, the input field disappears -- I don't think this is an expected behavior.
Comment 6 Marek Novotny 2012-10-24 04:38:48 EDT
Commit backported from JDF TicketMonster - 
http://git.app.eng.bos.redhat.com/?p=wfk/ticket-monster.git;a=commitdiff;h=8f0cd39e9a82ee57a875aaef54fa9883b1f31c8f
Comment 8 Tomas Repel 2012-11-07 11:03:42 EST
Verified in WFK 2.1.0.CR1.
Comment 9 Karel Piwko 2012-11-30 10:35:09 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.